//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

import QtQuick
import QtQuick.Controls

import magpie.API

Item {
    signal add

    Column {
        anchors.fill: parent

        Label {
            text: "This is Assets screen"
            font {
                pixelSize: 24
                bold: true
            }
        }

        ListView {
            anchors.centerIn: parent
            model: API.assets
            delegate: Rectangle {
                Text {
                    text: title
                }
            }
        }
    }

    Button {
        anchors {
            bottom: parent.bottom
            right: parent.right
            bottomMargin: 20
            rightMargin: 20
        }
        onClicked: add()

        width: 50
        height: 50
        icon {
            name: "list-add"
            height: 50
            width: 50
        }
    }
}
